#!/bin/sh
#####################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2017, 2018
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################
BigData_Artifacts_Location=$1
echo BigData_Artifacts_Location=$BigData_Artifacts_Location
SIFS_User_HomeDir=$2
echo SIFS_User_HomeDir=$SIFS_User_HomeDir
User=$3
echo User=$User
Group=$4
echo Group=$Group
Spark_Install_Location=$5
echo Spark_Install_Location=$Spark_Install_Location
script_Location=$6
echo script_Location=$script_Location

if grep -q ANALYTICS_HOME $SIFS_User_HomeDir/.bashrc;
then
	echo "Variable ANALYTICS_HOME already exists" 
else
	echo "export ANALYTICS_HOME=/home/sifsuser" >> $SIFS_User_HomeDir/.bashrc
fi


#sudo sudo cp -avr $script_Location/data/*.csv $SIFS_User_HomeDir/

sudo cp -avr $BigData_Artifacts_Location/lib/commons-logging-1.2.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/httpclient-4.5.2.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/httpcore-4.4.4.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/json-1.8.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/log4j-1.2.17.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/db2jcc4.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/bigdata.sifsservicesclient-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/sifs.spark.properties $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/ComplaintsPipeline-2.0.3-SNAPSHOT.jar $SIFS_User_HomeDir/lib
sudo cp -avr $BigData_Artifacts_Location/lib/opennlp-tools-1.5.3.jar $SIFS_User_HomeDir/lib

#create models folders if not exists
sudo mkdir -p $SIFS_User_HomeDir/models
sudo cp -avr $BigData_Artifacts_Location/models $SIFS_User_HomeDir/models

sudo chown -R $User:$Group $SIFS_User_HomeDir/lib
sudo chown -R $User:$Group $SIFS_User_HomeDir/models
sudo chown -R $User:$Group $SIFS_User_HomeDir/models/*
sudo chown -R $User:$Group $Spark_Install_Location/jars/

sudo chmod -R 755 $SIFS_User_HomeDir/lib
sudo chmod -R 755 $Spark_Install_Location/jars/

kinit -kt /etc/security/keytabs/sifsuser.keytab sifsuser@IBM.COM

echo "==============================="
echo "Creating_Required_Folders"

hdfs dfs -mkdir -p /user/sifsuser/complaints/
hdfs dfs -mkdir -p /user/sifsuser/complaints/raw
hdfs dfs -mkdir -p /user/sifsuser/complaints/output

echo "==============================="
echo "Copy CSV files to HDFS"
cp -avr $script_Location/data/*.csv $SIFS_User_HomeDir/
sudo chown -R $User:$Group $SIFS_User_HomeDir/CFPB2017_Clean.csv
hdfs dfs -put /home/sifsuser/CFPB2017_Clean.csv /user/sifsuser/complaints/raw