#!/bin/sh
#####################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2017, 2018
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################
SIFS_User_HomeDir=$1
echo SIFS_User_HomeDir=$SIFS_User_HomeDir
User=$2
echo User=$User
Group=$3
echo Group=$Group
Metadata_Broker_IP=$4
echo Metadata_Broker_IP=$Metadata_Broker_IP
SSL_Truststore_Location=$5
echo SSL_Truststore_Location=$SSL_Truststore_Location
SSL_Truststore_Password=$6
echo SSL_Truststore_Password=$SSL_Truststore_Password
SSL_Keystore_Location=$7
echo SSL_Keystore_Location=$SSL_Keystore_Location
SSL_Keystore_Password=$8
echo SSL_Keystore_Password=$SSL_Keystore_Password
SSL_Key_Password=$9
echo SSL_Key_Password=$SSL_Key_Password
Bootstrap_Servers=${10}
echo Bootstrap_Servers=$Bootstrap_Servers
Kafka_Encrypt_KeyStore=${11}
echo Kafka_Encrypt_KeyStore=$Kafka_Encrypt_KeyStore
Kafka_Encrypt_KeyStore_Password=${12}
echo Kafka_Encrypt_KeyStore_Password=$Kafka_Encrypt_KeyStore_Password
Kafka_Encrypt_KeyPassword=${13}
echo Kafka_Encrypt_KeyPassword=$Kafka_Encrypt_KeyPassword
Kafka_Encrypt_Alias=${14}
echo Kafka_Encrypt_Alias=$Kafka_Encrypt_Alias
HDFS_Host=${15}
echo HDFS_Host=$HDFS_Host
DB_Host=${16}
echo DB_Host=$DB_Host
DB_Port=${17}
echo DB_Port=$DB_Port
DB_User=${18}
echo DB_User=$DB_User
DB_Password=${19}
echo DB_Password=$DB_Password
DB_TrustStore=${20}
echo DB_TrustStore=$DB_TrustStore
DB_TrustStore_Password=${21}
echo DB_TrustStore_Password=$DB_TrustStore_Password
Solr_Host=${22}
echo Solr_Host=$Solr_Host
Solr_Port=${23}
echo Solr_Port=$Solr_Port
Spark_Install_Location=${24}
echo Spark_Install_Location=$Spark_Install_Location
script_Location=${25}
echo script_Location=$script_Location
Kafka_Install_Location=${26}
echo Kafka_Install_Location=$Kafka_Install_Location
#complaints
HDFSComplaintsPath=${27}
echo HDFSComplaintsPath=$HDFSComplaintsPath
WatsonNLCThemeClassifierREST=${28}
echo WatsonNLCThemeClassifierREST=$WatsonNLCThemeClassifierREST
WatsonNLCComplaintsClassifierREST=${29}
echo WatsonNLCComplaintsClassifierREST=$WatsonNLCComplaintsClassifierREST
WatsonNLCCredentials=${30}
echo WatsonNLCCredentials=$WatsonNLCCredentials
WatsonNLUREST=${31}
echo WatsonNLUREST=$WatsonNLUREST
WatsonNLUCredentials=${32}
echo WatsonNLUCredentials=$WatsonNLUCredentials
WatsonToneAnalyzerREST=${33}
echo WatsonToneAnalyzerREST=$WatsonToneAnalyzerREST
WatsonToneAnalyzerCredentials=${34}
echo WatsonToneAnalyzerCredentials=$WatsonToneAnalyzerCredentials
WatsonNLUModelID=${35}
echo WatsonNLUModelID=$WatsonNLUModelID
ComplaintTrendsREST=${36}
echo ComplaintTrendsREST=$ComplaintTrendsREST
Security=${37}
echo Security=$Security


echo "Updating sifs.spark.properties"


if [[ "$Security" = "ON" ]] || [[ "$Security" = "OFF" ]]; then
   continue
	echo "security is ON"
        if [ $Security = "ON" ]; then
			#Complaints
			echo "1"
			sudo sed -i "s#HDFSComplaintsPath=complaints#HDFSComplaintsPath=$HDFSComplaintsPath#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "2"
			sudo sed -i "s#WatsonNLCThemeClassifierREST=https://gateway.watsonplatform.net/natural-language-classifier/api/v1/classifiers/<THEME_CLASSFIER_MODEL_ID>/classify#WatsonNLCThemeClassifierREST=$WatsonNLCThemeClassifierREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "3"
			sudo sed -i "s#WatsonNLCComplaintsClassifierREST=https://gateway.watsonplatform.net/natural-language-classifier/api/v1/classifiers/<COMPLAINTS_CLASSIFIER_MODEL_ID>/classify#WatsonNLCComplaintsClassifierREST=$WatsonNLCComplaintsClassifierREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			echo "4"
			sudo sed -i "s#WatsonNLCCredentials=<nlc_username>:<nlc_password>#WatsonNLCCredentials=$WatsonNLCCredentials#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "5"
			sudo sed -i "s#WatsonNLUREST=https://gateway.watsonplatform.net/natural-language-understanding/api/v1/analyze?version=2017-02-27#WatsonNLUREST=$WatsonNLUREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			echo "6"
			sudo sed -i "s#WatsonNLUCredentials=<nlu_username>:<nlu_password>#WatsonNLUCredentials=$WatsonNLUCredentials#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "7"
			sudo sed -i "s#WatsonToneAnalyzerREST=https://gateway.watsonplatform.net/tone-analyzer/api/v3/tone?version=2017-09-21&sentances=true#WatsonToneAnalyzerREST=$WatsonToneAnalyzerREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			echo "8"
			sudo sed -i "s#WatsonToneAnalyzerCredentials=<tone_username>:<tone_password>#WatsonToneAnalyzerCredentials=$WatsonToneAnalyzerCredentials#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "9"
			sudo sed -i "s#SolrREST=https://<IP>:8984/solr/complaints/update?commit=true#SolrREST=https://$Solr_Host:$Solr_Port/solr/complaints/update?commit=true#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "10"
			sudo sed -i "s#WatsonNLUModelID=alchemy#WatsonNLUModelID=$WatsonNLUModelID#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			#TrendAnalysis
			echo "11"
			sudo sed -i "s#https://<IP>:9443/complaintsservices/surveillance/v1/complaint/createTrend#$ComplaintTrendsREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
        else
			echo "security is OFF"
			#Complaints
			echo "1"
			sudo sed -i "s#HDFSComplaintsPath=complaints#HDFSComplaintsPath=$HDFSComplaintsPath#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "2"
			sudo sed -i "s#WatsonNLCThemeClassifierREST=https://gateway.watsonplatform.net/natural-language-classifier/api/v1/classifiers/<THEME_CLASSFIER_MODEL_ID>/classify#WatsonNLCThemeClassifierREST=$WatsonNLCThemeClassifierREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "3"
			sudo sed -i "s#WatsonNLCComplaintsClassifierREST=https://gateway.watsonplatform.net/natural-language-classifier/api/v1/classifiers/<COMPLAINTS_CLASSIFIER_MODEL_ID>/classify#WatsonNLCComplaintsClassifierREST=$WatsonNLCComplaintsClassifierREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			echo "4"
			sudo sed -i "s#WatsonNLCCredentials=<nlc_username>:<nlc_password>#WatsonNLCCredentials=$WatsonNLCCredentials#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "5"
			sudo sed -i "s#WatsonNLUREST=https://gateway.watsonplatform.net/natural-language-understanding/api/v1/analyze?version=2017-02-27#WatsonNLUREST=$WatsonNLUREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			echo "6"
			sudo sed -i "s#WatsonNLUCredentials=<nlu_username>:<nlu_password>#WatsonNLUCredentials=$WatsonNLUCredentials#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "7"
			sudo sed -i "s#WatsonToneAnalyzerREST=https://gateway.watsonplatform.net/tone-analyzer/api/v3/tone?version=2017-09-21&sentances=true#WatsonToneAnalyzerREST=$WatsonToneAnalyzerREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties
			echo "8"
			sudo sed -i "s#WatsonToneAnalyzerCredentials=<tone_username>:<tone_password>#WatsonToneAnalyzerCredentials=$WatsonToneAnalyzerCredentials#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "9"
			sudo sed -i "s#SolrREST=https://<IP>:8984/solr/complaints/update?commit=true#SolrREST=https://$Solr_Host:$Solr_Port/solr/complaints/update?commit=true#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			echo "10"
			sudo sed -i "s#WatsonNLUModelID=alchemy#WatsonNLUModelID=$WatsonNLUModelID#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
			#TrendAnalysis
			echo "11"
			sudo sed -i "s#https://<IP>:9443/complaintsservices/surveillance/v1/complaint/createTrend#$ComplaintTrendsREST#g" $SIFS_User_HomeDir/lib/sifs.spark.properties		
	fi
else
  echo "Invalid Input, Please update build.properties"
  exit 1
fi
echo "spark properteies are updated"
sudo chmod 755 $SIFS_User_HomeDir/lib/sifs.spark.properties
sudo chown $User:$Group $SIFS_User_HomeDir/lib/sifs.spark.properties

echo "docs2unix prerequisties must , if there is need to any convertion"
#sudo yum -y install dos2unix"
echo "do this #sudo dos2unix $script_Location/scripts/*.sh \n"
sudo chmod -R 755 $script_Location/scripts/*.sh
