#!/bin/sh
#####################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2017, 2018
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################
SIFS_User_HomeDir=$1
echo SIFS_User_HomeDir=$SIFS_User_HomeDir
User=$2
echo User=$User
Group=$3
echo Group=$Group
Spark_Install_Location=${4}
echo Spark_Install_Location=$Spark_Install_Location
script_Location=${5}
echo script_Location=$script_Location
Security=${6}
echo Security=$Security


echo "Updating Spark Jobs Script"

if [[ "$Security" = "ON" ]] || [[ "$Security" = "OFF" ]]; then
   continue
        if [ $Security = "ON" ]; then
			sudo sed -i "s#/home/sifsuser/spark-2.1.1-hadoop2.7#$Spark_Install_Location#g" $script_Location/scripts/run_complaints_pipeline.sh		
        else
			sudo sed -i "s#/home/sifsuser/spark-2.1.1-hadoop2.7#$Spark_Install_Location#g" $script_Location/scripts/run_complaints_pipeline_NS.sh		
	fi
else
  echo "Invalid Input, Please update spark job script"
  exit 1
fi


echo "Invoking Spark Jobs for Complaints UseCase"

sudo chmod -R 777 $script_Location/
	echo "Creating_Required_Folders"
	sudo su - $User -c "hdfs dfs -mkdir -p /user/sifsuser/complaints/;hdfs dfs -mkdir -p /user/sifsuser/complaints/raw;hdfs dfs -mkdir -p /user/sifsuser/complaints/output;"
	sudo cp -avr $script_Location/data/*.csv $SIFS_User_HomeDir/
	sudo chown -R $User:$Group $SIFS_User_HomeDir/CFPB2017_Clean.csv
	sudo su - $User -c "hdfs dfs -put /home/sifsuser/CFPB2017_Clean.csv /user/sifsuser/complaints/raw"
	echo "hdfs folder creation done"
	
cd $Spark_Install_Location/bin/

if [ $Security = "ON" ]; then
	echo "Running ComplaintsPipeLine in Secure Mode"
	/bin/su -s /bin/bash -c "$script_Location/scripts/run_complaints_pipeline.sh" $User
else
	echo "Running ComplaintsPipeLine in Non Secure Mode"
	/bin/su -s /bin/bash -c "$script_Location/scripts/run_complaints_pipeline_NS.sh" $User
fi
