#  Complaint Trends QA Data

## Overview ##
This document explains the usage of a small dataset that is used to test the complaint trends UI. 

Since the real UI only displays trends after a long pipeline involving multiple levels of data transformation and modelling, this test set uses some shortcuts so that the UI can be tested directly.

##  QA Data files  ##

   The following files are included and **are necessar**y for QA testing:


- **complaints\_qa\_solr.json**    - this is the set of labelled emails for uploading into solr so that the UI can display the relevant emails that form each different complaint trend. Additional metadata for each email was added to create this file.


- **demo\_trends\_QA.csv**   - this file contains details of complaints and is processed by the trend detection algorithm to detect trens. The algorithm finds trends and sends these to the Complaints Dashboard using a REST API. This file is a simulation of the output of the whole complaints pipeline.


These files are included for reference as they were used to construct the dataset and **are not necessary** for QA testing:    


- **CFPB\_complaints\_classified.csv**    - This is a set of real complaints taken from a public dataset of complaints about financial institutions in the US. These complaints have been classified with the SIFS set of complaint classes and processes using a keyword search algorithm. This simulates how the full SIFS pipeline would have classified the emails using the various Watson models in the pipeline. 

- **keyword dictionaries**   - this is a set of keywords that was used to classify the complaints into different SIFS categories and processes.
  
- **party\_id\_age.csv** - this was used to map complaints to test person ids in the data set to make sure that the correct metadata was shown in the UI for each trend. For example if the a trend is identified as affecting people aged 30 - 40, when the user clicks the trend, and then looks at one email, the person who made the complaint should be in the age range 30 to 40. 
- **Complaints\_QA\_Instructions.docx** - this gives some more details about how to use this QA data for testing.


##  Loading the Data
There are 2 steps:  


1. **Uploading the email details to solr:**

<< need details from Rishi >>

1. **Uploading the trends to the complaints dashboard UI:**

starting in the ml.trend-detection folder:  
- check that demo\_trends\_QA.csv is in the data folder, or move it there if not  
- navigate to the /src folder:


    cd /src    
    python3 trendDetection.py -i ../data/demo_trends_QA.csv -lw 30 -c config.cfg -sd 2017-04-01 -ed 2017-06-30 

This will detect trends and send these to the db2 instance that is used to populate the UI. This should take 10 - 20 minutes to run.



