# Trend Detection Script
______________________

The script "trend_detection.sh" will run the trend detection algorithm over the sample dataset and populate the UI with trends. The script takes one parameter: number of days for the "long window" over which trends are detected, normally 30, 60 or 90 days. 

# IMPORTANT

**NEVER** open or edit the shell script in a windows system, even in a (git) bash or other linux type command line emulator. 
It will render the file unusable in a linux system due to incompatible carriage return symbols: the script will error and complain about unknown **"\\r"** commands. 

**If this happens** then the file can fixed **in a linux system** by :

	cat trend_detection.sh | tr -d '\015' > trend_detection.sh
## Environment Specific Parameters

The script has some hard-coded values that may vary according to system build. These values are replaced with system specific values by another script. The appropriate environment specific paramaters are stored in:  

	Complaints/install.complaints/BigData/build.properties



and the script that updates this trend detection script is:  
 
	Complaints/install.complaints/BigData/Install_BigData.sh 

The relevant updates are:

    sudo sed -i "s#/home/sifsuser/spark-2.0.2-bin-hadoop2.7/bin/spark-submit#$Spark_Install_Location/bin/spark-submit#g" $SIFS_User_HomeDir/ml.trend-detection/scripts/trend_detection.sh

    sudo sed -i "s#hdfs://9.194.242.137:8020/user/sifsuser/#$HDFSFilePath$HDFSComplaintsPath$HDFSSampleDataFilePath#g" $SIFS_User_HomeDir/ml.trend-detection/scripts/trend_detection.sh
    


## Usage
______________  
The script should be run 3 times changing the long window parameter: 

    1) bash ./trend_detection.sh 30
    2) bash ./trend_detection.sh 60
    3) bash ./trend_detection.sh 90