#!/bin/bash
######################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Run Trend Detection over the supplied data set
# Copyright IBM Corp. 2016, 2017
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
######################################################################################################

# start date for trends
SD='2017-06-30'
ED='2017-10-31'

# output the data file path and run params
echo 'Reading data from'$HDFSDATA
echo 'Populating complaints UI for all trends in a' $1 'day window between '$SD' and '$ED

# create command
SUBMIT_COMMAND="/usr/hdp/current/spark2-client/bin/spark-submit \
                --keytab /etc/security/keytabs/sifsuser.keytab \
                --principal sifsuser@IBM.COM \
                ../src/trendDetection.py \
                -i hdfs://localhost:8020/user/sifsuser/Complaints/output/complaints_features.csv \
		-c config.cfg  \
		-sd $SD \
		-ed $ED \
		-lw $1 \
                -nv"
# submit command
eval "$SUBMIT_COMMAND"

echo 'Finished updating UI with complaint trends.'
exit 0
